#!/bin/bash
# Definition of a shell function in an external script file
# common library
# Note no #!/bin/sh as this should not spawn an extra shell.
# It's not the end of the world to have one, but clearer not to.
#
STD_MSG="About to rename some files..."

rename()
{
  # expects to be called as: rename .txt .txtbak 
  OLD_EXT=$1
  NEW_EXT=$2

  echo "Changing files with extension $OLD_EXT into $NEW_EXT"
  for i in *$OLD_EXT
  do
    j=`basename $i $OLD_EXT`
    echo "mv $i ${j}${NEW_EXT}"
  done
}
