#!/bin/bash
# You must set and export X before running this script
# Try with integer values for X, and then some string values
if [ "$X" -lt "0" ]
then 
	echo "X is less than zero"
fi
if [ "$X" -gt "0" ]; then
  echo "X is more than zero"
fi
[ "$X" -le "0" ] && echo "X is less than or equal to  zero"
[ "$X" -ge "0" ] && echo "X is more than or equal to zero"
[ "$X" = "0" ] && echo "X is the string or number \"0\""
[ "$X" = "hello" ] && echo "X matches the string \"hello\""
[ "$X" != "hello" ] && echo "X is not the string \"hello\""
[ -n "$X" ] && echo "X is of nonzero length"

# Now check the following lines by creating a file with a filename
#  that is the value of X
# Ex.: 
# $ export X=newfile
# $ touch newfile
[ -f "$X" ] && echo "X is the path of a real file" || echo "No such file: $X"
[ -x "$X" ] && echo "X is the path of an executable file"
[ "$X" -nt "/etc/passwd" ] && echo "X is a file which is newer than /etc/passwd" 
