#!/bin/bash
adduser()
{
  USER=$1
  PASSWD=$2
  shift ; shift
  COMMENTS=$@
  useradd -c "${COMMENTS}" $USER
  if [ "$?" -ne "0" ]; then
    echo "Useradd failed"
    return 1
  fi
  passwd $USER $PASSWD
  if [ "$?" -ne "0" ]; then
    echo "Setting password failed"
    return 2
  fi
  echo "Added user $USER ($COMMENTS) with password $PASSWORD"
}

## Main script starts here

adduser bob letmein Bob Holness, the famous BlockBusters presenter!
if [ "$?" -eq "1" ]; then
  echo "Something went wrong with useradd"
else if [ "$?" -eq "2" ]; then 
   echo "Something went wrong with passwd"
  fi
else
  echo "Bob Holness added to the system."
fi

